<?php
/*
* script  modelo/panel_de_busquedas_postulacion_ok.php
*/
/*
* coincide el captcha ingresado por el postulante
*/
	date_default_timezone_set('UTC');

	$fecha                = date("Y-m-d H:i:s");

	require_once "panel_de_busquedas_acceso_db.php";

	require_once "panel_de_busquedas.php";

	$base     = new Base("admin_webc720");

	$base->setTabla("kaver_postulaciones");


	/* prepara el nombre del archivo a subir */
	$target_dir = "../uploads/";                                  // ojo: se usa tambien al mover el archivo a su directorio final
	$file_subfix = str_replace(' ', '', $fecha);
	$file_subfix = str_replace(':', '', $file_subfix );
	$file_subfix = str_replace('-', '', $file_subfix ).'['. $referencia .']';
	$target_file = $target_dir . $file_subfix. basename( $_FILES["your_cv"]["name"]);



	/* persiste en la base de datos */
	$postulacion = new Postulacion();

	$postulacion->setIdPostulacion(0);
	$postulacion->setNombreApellido($your_name);
	$postulacion->setEmail($your_email);
	$postulacion->setFecha($fecha);
	$postulacion->setMensaje($your_message);
	$postulacion->setCurriculum($target_file );
	$postulacion->setReferencia($referencia);

	$base->conectar();

	$base->escribirPostulacion($postulacion);



	/* Upload del Curriculum Vitae */


	$uploadOk = 1;
	$imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);
    /*
    * Verificar que el tipo de archivo sea correcto
    */ 
	// Check if file is permitted
	if(isset($_POST["apply_to_job"])) {

		// Check if file already exists
		if (file_exists($target_file)) {
			echo "El archivo adjunto ya fue subido.";
			$uploadOk = 0;
		}

		 // Check file size
		if ($_FILES["your_cv"]["size"] > 500000) {
			echo "El archivo adjunto ". basename( $_FILES["your_cv"]["name"])." es muy grande.";
			$uploadOk = 0;
		}

		// Allow certain file formats
		if( $imageFileType != "pdf" && $imageFileType != "docx" && $imageFileType != "doc" ) {
			echo "Solo se permiten archivos PDF, DOC, DOCX.";
			$uploadOk = 0;
		}

		// Check for mime type
		if ($_FILES['your_cv']['error'] !== UPLOAD_ERR_OK) {
			die("Fallo la subida del archivo adjunto : " . $_FILES['your_cv']['error']);
		}
		$finfo = finfo_open(FILEINFO_MIME_TYPE);
		$mime = finfo_file($finfo, $_FILES['your_cv']['tmp_name']);
		$ok = false;
		switch ($mime) {
		   case 'application/docx':
			   $uploadOk = 1;
			   break;
		   case 'application/pdf':
			   $uploadOk = 1;
			   break;
		   case 'application/doc':
			   $uploadOk = 1;
			   break;
		   default:
			   $uploadOk = 0;
		}


		// Check if $uploadOk is set to 0 by an error
		if ($uploadOk == 0) {
			echo "El archivo no fue subido.";
		// if everything is ok, try to upload file
		} else {
			if (move_uploaded_file($_FILES["your_cv"]["tmp_name"], $target_file)) {
				//echo "Se subio el archivo ". basename( $_FILES["your_cv"]["name"]). " .";
			} else {
				echo "No se pudo subir el archivo adjunto.". basename( $_FILES["your_cv"]["name"]). " .";
			}
		}

	}